using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using usb_api;

namespace USBDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        usb_interface usbi = new usb_interface();
        byte[] temp = new byte[] { 0 };
        

        private void button1_Click(object sender, EventArgs e)
        {
            temp = new byte[2];
            byte[] temp2;
            if(checkBox1.Checked){temp[0]=1;}
            if(checkBox2.Checked){temp[1]=1;}
            usbi.EasyCommand(0x32, 1, new byte[] { 3, temp[0] }, out temp2);
            usbi.EasyCommand(0x32, 1, new byte[] { 4, temp[1] }, out temp2);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (!timer1.Enabled)
            {
                temp = new byte[] { 0 };
                button2.Text = "Stop Counting";
                timer1.Start();
            }
            else
            {
                timer1.Stop();
                button2.Text = "Start Counting";
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {            
            byte[] temprx;            
            usbi.EasyCommand(0x33, 2, temp, out temprx);
            temp[0] = temprx[1];
            label1.Text = temp[0].ToString();
            if (temp[0] == 0xFF)
            {
                button2.Text = "Start Counting";
                timer1.Stop();
            }
        }
    }
}